> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an edge connector action run



## OpenAPI

````yaml https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json post /v1/edge_connectors/{edge_connector_id}/actions/{action_id}/runs
openapi: 3.0.1
info:
  title: Rootly API v1
  version: v1
  license:
    name: Rootly
    url: https://rootly.com
  description: >+
    # How to generate an API Key?

    - **Organization dropdown** > **Organization Settings** > **API Keys**


    # JSON:API Specification

    Rootly is using **JSON:API** (https://jsonapi.org) specification:

    - JSON:API is a specification for how a client should request that resources
    be fetched or modified, and how a server should respond to those requests.

    - JSON:API is designed to minimize both the number of requests and the
    amount of data transmitted between clients and servers. This efficiency is
    achieved without compromising readability, flexibility, or discoverability.

    - JSON:API requires use of the JSON:API media type
    (**application/vnd.api+json**) for exchanging data.


    # Authentication and Requests

    We use standard HTTP Authentication over HTTPS to authorize your requests.

    ```
      curl --request GET \
    --header 'Content-Type: application/vnd.api+json' \

    --header 'Authorization: Bearer YOUR-TOKEN' \

    --url https://api.rootly.com/v1/incidents

    ```


    <br/>


    # Rate limiting

    - There is a default limit of **5** **GET**, **HEAD**, and **OPTIONS** calls
    **per API key** every **60 seconds** (0 hours). The limit is calculated over
    a **0-hour sliding window** looking back from the current time. While the
    limit can be configured to support higher thresholds, you must first contact
    your **Rootly Customer Success Manager** to make any adjustments.

    - There is a default limit of **3** **POST**, **PUT**, **PATCH** or
    **DELETE** calls **per API key** every **60 seconds** (0 hours). The limit
    is calculated over a **0-hour sliding window** looking back from the current
    time. While the limit can be configured to support higher thresholds, you
    must first contact your **Rootly Customer Success Manager** to make any
    adjustments.

    - When rate limits are exceeded, the API will return a **429 Too Many
    Requests** HTTP status code with the response: `{"error": "Rate limit
    exceeded. Try again later."}`

    - **X-RateLimit headers** are included in every API response, providing
    real-time rate limit information:
      - **X-RateLimit-Limit** - The maximum number of requests permitted and the time window (e.g., "1000, 1000;window=3600" for 1000 requests per hour)
      - **X-RateLimit-Remaining** - The number of requests remaining in the current rate limit window
      - **X-RateLimit-Used** - The number of requests already made in the current window
      - **X-RateLimit-Reset** - The time at which the current rate limit window resets, in UTC epoch seconds

    # Pagination

    - Pagination is supported for all endpoints that return a collection of
    items.

    - Pagination is controlled by the **page** query parameter


    ## Example

    ```
      curl --request GET \
    --header 'Content-Type: application/vnd.api+json' \

    --header 'Authorization: Bearer YOUR-TOKEN' \

    --url https://api.rootly.com/v1/incidents?page[number]=1&page[size]=10

    ```

  x-logo:
    url: https://rootly-heroku.s3.us-east-1.amazonaws.com/swagger/v1/logo.png
servers:
  - url: https://api.rootly.com
security: []
paths:
  /v1/edge_connectors/{edge_connector_id}/actions/{action_id}/runs:
    post:
      tags:
        - Edge Connector Actions
      summary: Create an edge connector action run
      operationId: createEdgeConnectorActionRun
      parameters:
        - name: edge_connector_id
          in: path
          required: true
          schema:
            type: string
        - name: action_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - edge_connector_action_runs
                    attributes:
                      type: object
                      properties:
                        parameters:
                          type: object
                          nullable: true
                          description: Null is treated as {}.
                          additionalProperties: true
                        entity_type:
                          type: string
                          enum:
                            - incident
                            - alert
                          nullable: true
                          description: >-
                            Must be provided together with entity_id. A missing
                            or unreadable entity returns 404.
                        entity_id:
                          type: string
                          format: uuid
                          nullable: true
                          description: >-
                            Must be provided together with entity_type. A
                            missing or unreadable entity returns 404.
                      additionalProperties: false
                  required:
                    - type
                    - attributes
                  additionalProperties: false
              required:
                - data
              additionalProperties: false
      responses:
        '202':
          description: Action run queued
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/edge_connector_action_run_response'
        '404':
          description: The entity is outside the team scope
        '422':
          description: entity_type must be incident or alert
      security:
        - bearer_auth: []
components:
  schemas:
    edge_connector_action_run_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              format: uuid
            type:
              type: string
              enum:
                - edge_connector_action_runs
            attributes:
              type: object
              properties:
                action_id:
                  type: string
                  format: uuid
                status:
                  type: string
                entity_type:
                  type: string
                  enum:
                    - incident
                    - alert
                  nullable: true
                entity_id:
                  type: string
                  format: uuid
                  nullable: true
                triggered_by_user_id:
                  type: integer
                  nullable: true
                genius_task_run_id:
                  type: string
                  format: uuid
                  nullable: true
                exit_code:
                  type: integer
                  nullable: true
                stdout:
                  type: string
                  nullable: true
                stderr:
                  type: string
                  nullable: true
                error:
                  type: string
                  nullable: true
                duration_ms:
                  type: integer
                  nullable: true
                created_at:
                  type: string
                  format: date-time
                completed_at:
                  type: string
                  format: date-time
                  nullable: true
                failed_at:
                  type: string
                  format: date-time
                  nullable: true
              required:
                - action_id
                - status
                - entity_type
                - entity_id
                - triggered_by_user_id
                - genius_task_run_id
                - exit_code
                - stdout
                - stderr
                - error
                - duration_ms
                - created_at
                - completed_at
                - failed_at
          required:
            - id
            - type
            - attributes
        included:
          type: array
          items:
            $ref: '#/components/schemas/jsonapi_included_resource'
      required:
        - data
    jsonapi_included_resource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          type: object
          additionalProperties: true
        relationships:
          type: object
          additionalProperties: true
      required:
        - id
        - type
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.